package org.nl.acs.opc;

import java.util.List;

/**
 * @author 20220102CG\noblelift
 */
public interface DeviceManageService {
    /**
     * 查询所有设备
     * @return
     */
    List<DeviceManageDto> queryAllWithExtra();

    /**
     * 根据设备编号查询设备
     * @param device_code
     * @return
     */
    List<DeviceManageDto> queryAllWithExtra(String device_code);
}
